cURL
curl "https://api.phrase.com/v2/accounts/ab12cd34/repo_syncs/56ef78/events"\
-u USERNAME_OR_ACCESS_TOKENphrase repo_sync_events list \
--id <id> \
--account_id abcd1234 \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/repo_syncs/{id}/events"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/repo_syncs/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"type": "import",
"created_at": "2015-01-28T09:52:53Z",
"status": "failure",
"auto_import": true,
"errors": [
"Error message 1",
"Error message 2"
]
}
]Repo Sync Events
Repository Syncs History
Get the history of a single Repo Sync. The history includes all imports and exports performed by the Repo Sync.
GET
/
accounts
/
{account_id}
/
repo_syncs
/
{id}
/
events
cURL
curl "https://api.phrase.com/v2/accounts/ab12cd34/repo_syncs/56ef78/events"\
-u USERNAME_OR_ACCESS_TOKENphrase repo_sync_events list \
--id <id> \
--account_id abcd1234 \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/repo_syncs/{id}/events"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/repo_syncs/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"type": "import",
"created_at": "2015-01-28T09:52:53Z",
"status": "failure",
"auto_import": true,
"errors": [
"Error message 1",
"Error message 2"
]
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Response
Successful response
Available options:
import, export Available options:
running, success, failure URL of the pull request created on export
Whether the import was triggered by the repo push event
List of error messages, in case of failure
Was this page helpful?